Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface InboundConfiguration

    public interface InboundConfiguration

Configuration holder for the SAG inbound eWay.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `InboundConfiguration.InboundControlConfig`

Method Summary
`Configuration.HandleFileResponseConfig` | `getFileActServer()` Gets the handle file response settings.
`InboundConfiguration.InboundControlConfig` | `getInboundControl()` Gets the inbound control settings.
`Configuration.HandleResponseConfig` | `getInterActServer()` Gets the handle response settings.
`Configuration.RemoteApiBaseConfig` | `getRemoteApiBase()` Gets the remote API base settings.
`Configuration.EnvelopeConfig` | `getSagEnvelope()` Gets the SAG Envelope settings.
`Configuration.LocalAuthenticationConfig` | `getSagLocalAuthentication()` Gets the SAG Local Authentication settings.
`Configuration.TransportConfig` | `getSagTransport()` Gets the SAG transport.
`void` | `reset()` Resets the configuration.
`void` | `validate()` Validates the whole configuration.

Method Detail

### getRemoteApiBase

    Configuration.RemoteApiBaseConfig getRemoteApiBase()
                                                       throws SAGApplicationException

  Gets the remote API base settings.

  Parameters:
    None.

  Returns:
    `RemoteApiBaseConfig` - Returns the remote API Base configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSagTransport

    Configuration.TransportConfig getSagTransport()
                                                  throws SAGApplicationException

  Gets the SAG transport.

  Parameters:
    None.

  Returns:
    `TransportConfig` - Returns the SAG transport configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSagLocalAuthentication

    Configuration.LocalAuthenticationConfig getSagLocalAuthentication()
                                                                      throws SAGApplicationException

  Gets the SAG Local Authentication settings.

  Parameters:
    None.

  Returns:
    `LocalAuthenticationConfig` - Returns SAG Local Authentication configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSagEnvelope

    Configuration.EnvelopeConfig getSagEnvelope()
                                                throws SAGApplicationException

  Gets the SAG Envelope settings.

  Parameters:
    None.

  Returns:
    `EnvelopeConfig` - Returns SAG envelope configuration.
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validates the whole configuration.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### reset

    void reset()

  Resets the configuration. After reset, the configuration will be retrieved from original eWay configuration instance properties.

### getInboundControl

    InboundConfiguration.InboundControlConfig getInboundControl()
                                                                throws SAGApplicationException

  Gets the inbound control settings.

  Parameters:
    None.

  Returns:
    `InboundControlConfig` - Returns the inbound control configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getInterActServer

    Configuration.HandleResponseConfig getInterActServer()
                                                         throws SAGApplicationException

  Gets the handle response settings.

  Parameters:
    None.

  Returns:
    `HandleResponseConfig` - Returns the SAG handle response configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getFileActServer

    Configuration.HandleFileResponseConfig getFileActServer()
                                                            throws SAGApplicationException

  Gets the handle file response settings.

  Parameters:
    None.

  Returns:
    `HandleFileResponseConfig` - Returns the handle file response configuration.
  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.